## HdyTitleBar HdyTitleBar — A simple title bar container. |

## Functions

HdyTitleBar * | hdy_title_bar_new ()
gboolean | hdy_title_bar_get_selection_mode ()
void | hdy_title_bar_set_selection_mode ()

## Properties

gboolean | selection-mode | Read / Write

## Types and Values

#define | HDY_TYPE_TITLE_BAR
| HdyTitleBar

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── HdyTitleBar

## Implemented Interfaces

HdyTitleBar implements AtkImplementorIface and GtkBuildable.

## Description

HdyTitleBar is meant to be used as the top-level widget of your window's title bar. It will be drawn with the same style as a GtkHeaderBar but it won't force a widget layout on you: you can put whatever widget you want in it, including a GtkHeaderBar.

HdyTitleBar becomes really useful when you want to animate header bars, like an adaptive application using HdyLeaflet would do.

## Functions

### hdy_title_bar_new ()

    HdyTitleBar *
    hdy_title_bar_new (void);

Creates a new HdyTitleBar.

#### Returns

a new HdyTitleBar

### hdy_title_bar_get_selection_mode ()

    gboolean
    hdy_title_bar_get_selection_mode (HdyTitleBar *self);

Returns wether whether `self` is in selection mode.

#### Parameters

self | a HdyTitleBar |

#### Returns

`TRUE` if the title bar is in selection mode

### hdy_title_bar_set_selection_mode ()

    void
    hdy_title_bar_set_selection_mode (HdyTitleBar *self,
                                      gboolean selection_mode);

Sets whether `self` is in selection mode.

#### Parameters

self | a HdyTitleBar |
selection_mode | `TRUE` to enable the selection mode |

## Types and Values

### HDY_TYPE_TITLE_BAR

    #define HDY_TYPE_TITLE_BAR (hdy_title_bar_get_type())

### HdyTitleBar

    typedef struct _HdyTitleBar HdyTitleBar;

## Property Details

### The `“selection-mode”` property

      “selection-mode”           gboolean

Whether or not the title bar is in selection mode.

Flags: Read / Write

Default value: FALSE